Bug 209549 - devel/upp: Fix build with libc++ 3.8.0
Summary: devel/upp: Fix build with libc++ 3.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks: 208158
  Show dependency treegraph
 
Reported: 2016-05-16 14:20 UTC by Dimitry Andric
Modified: 2016-07-23 13:46 UTC (History)
2 users (show)

See Also:
riggs: maintainer-feedback-
riggs: merge-quarterly+


Attachments
Disable abs() redefinions under libc++ in devel/upp (1.31 KB, patch)
2016-05-16 14:20 UTC, Dimitry Andric
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2016-05-16 14:20:59 UTC
Created attachment 170358 [details]
Disable abs() redefinions under libc++ in devel/upp

During the exp-run in bug 208158, it was found that devel/upp gives errors with libc++ 3.8.0 [1]:

In file included from ide/BaseDlg.cpp:1:
In file included from ide/ide.h:4:
In file included from ./ide/Common/Common.h:4:
In file included from ./ide/Core/Core.h:4:
In file included from ./Esc/Esc.h:4:
./Core/Core.h:346:20: error: 'abs' is missing exception specification 'throw()'
inline UPP::int64  abs(UPP::int64 x)          { return x < 0 ? -x : x; }
                   ^
                                     throw()

This is because Core/Core.h is attempting to redefine its own versions of abs(), for int64 and double, respectively.  There is no need to do so with libc++, so add checks for _LIBCPP_VERSION to disable the redefinitions, when compiling under libc++.

[1] http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/upp-9251_1.log
Comment 1 Thomas Zander freebsd_committer 2016-07-23 12:48:54 UTC
Maintainer timeout
Comment 2 commit-hook freebsd_committer 2016-07-23 13:42:24 UTC
A commit references this bug:

Author: riggs
Date: Sat Jul 23 13:41:26 UTC 2016
New revision: 418965
URL: https://svnweb.freebsd.org/changeset/ports/418965

Log:
  Fix build with libc++ 3.8.0

  PR:		209549
  Submitted by:	dim
  Approved by:	maintainer timeout
  MFH:		2016Q3 (ports-secteam build fix blanket)

Changes:
  head/devel/upp/files/
  head/devel/upp/files/patch-uppsrc_Core_Core.h
Comment 3 commit-hook freebsd_committer 2016-07-23 13:45:25 UTC
A commit references this bug:

Author: riggs
Date: Sat Jul 23 13:44:52 UTC 2016
New revision: 418966
URL: https://svnweb.freebsd.org/changeset/ports/418966

Log:
  MFH: r418965

  Fix build with libc++ 3.8.0

  PR:		209549
  Submitted by:	dim
  Approved by:	ports-secteam (build fix blanket), maintainer timeout

Changes:
_U  branches/2016Q3/
  branches/2016Q3/devel/upp/files/